> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bayse.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# List combos

> Get a paginated list of your combos

Returns your combos, newest first.

## Authentication

Read authentication required — `X-Public-Key` header.

## Query parameters

**status** `string`

Filter by status: `PENDING`, `WON`, `LOST`, `VOIDED`, or `CASHED_OUT`.

**page** `integer` (default: 1)

Page number.

**size** `integer` (default: 50)

Results per page (2–100).

## Example request

```bash cURL theme={null}
curl "https://relay.bayse.markets/v1/pm/combos?status=PENDING&page=1&size=20" \
  -H "X-Public-Key: pk_live_abcdef123456"
```

```javascript Node.js theme={null}
const params = new URLSearchParams({ status: 'PENDING', page: 1, size: 20 });
const response = await fetch(
  `https://relay.bayse.markets/v1/pm/combos?${params}`,
  { headers: { 'X-Public-Key': 'pk_live_abcdef123456' } }
);
const data = await response.json();
```

```python Python theme={null}
import requests

resp = requests.get(
    'https://relay.bayse.markets/v1/pm/combos',
    params={'status': 'PENDING', 'page': 1, 'size': 20},
    headers={'X-Public-Key': 'pk_live_abcdef123456'},
)
data = resp.json()
```

```go Go theme={null}
req, _ := http.NewRequest("GET", "https://relay.bayse.markets/v1/pm/combos", nil)
q := req.URL.Query()
q.Add("status", "PENDING")
q.Add("page", "1")
q.Add("size", "20")
req.URL.RawQuery = q.Encode()
req.Header.Set("X-Public-Key", "pk_live_abcdef123456")
resp, _ := http.DefaultClient.Do(req)
```

## Response

**combos** `array`

Your combos, newest first. Each combo has the same shape as the response from [Place combo](https://docs.bayse.markets/api-reference/pm/place-combo.md).

**pagination** `object`

**pagination fields**

**page** `integer`

Current page.

**size** `integer`

Results per page.

**lastPage** `integer`

Last available page.

**totalCount** `integer`

Total matching combos.

```json 200 OK theme={null}
{
  "combos": [
    {
      "id": "3f8a2c61-9d4e-4b7a-8c15-6e2f0a9b4d73",
      "code": "K7Q2M9XA",
      "status": "PENDING",
      "uiStatus": "ACTIVE",
      "amount": 10,
      "currency": "USD",
      "price": 0.18,
      "multiplier": 5.56,
      "potentialPayout": 55.56,
      "shares": 55.56,
      "isOwner": true,
      "legCount": 2,
      "cashoutAvailable": false,
      "paidOut": false,
      "createdAt": "2026-10-27T10:15:00Z",
      "selections": [
        {
          "id": "a1c2e3f4-5b6d-4e7f-8a9b-0c1d2e3f4a5b",
          "eventId": "e5f6a7b8-c9d0-1234-efab-cd567890abcd",
          "marketId": "f6a7b8c9-d0e1-2345-fabc-678901234567",
          "outcomeId": "01234567-89ab-cdef-0123-456789abcdef",
          "eventTitle": "Manchester City vs Aston Villa",
          "marketTitle": "Manchester City to Win",
          "outcomeLabel": "YES",
          "outcomeIndex": 1,
          "quotedProbability": 0.62,
          "position": 1,
          "status": "PENDING",
          "displayStatus": "IN_PLAY",
          "gameStartDate": "2026-10-31T15:00:00Z"
        },
        {
          "id": "b2d3f4a5-6c7e-4f8a-9b0c-1d2e3f4a5b6c",
          "eventId": "b9c0d1e2-f3a4-5678-9abc-def012345678",
          "marketId": "c9d0e1f2-a3b4-5678-cdef-901234567890",
          "outcomeId": "34567890-bcde-f012-3456-789abcdef012",
          "eventTitle": "Arsenal vs Chelsea",
          "marketTitle": "Over 2.5 total goals",
          "outcomeLabel": "YES",
          "outcomeIndex": 1,
          "quotedProbability": 0.29,
          "position": 2,
          "status": "PENDING",
          "displayStatus": "NOT_STARTED",
          "gameStartDate": "2026-10-31T17:30:00Z"
        }
      ]
    }
  ],
  "pagination": {
    "page": 1,
    "size": 20,
    "lastPage": 1,
    "totalCount": 1
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.